Generate M2M token

Generates a Machine-to-Machine (M2M) token for application authentication.

POST
/service/oauth/token

Generates a Machine-to-Machine (M2M) token for application authentication.

apikey<token>

Tenant API Key for authentication

In: query

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://TenantName.hub.loginradius.com/service/oauth/token" \  -H "Content-Type: application/json" \  -d '{    "audience": "https://api.loginradius.com/identity/v2/manage",    "client_id": "68106262-3938-4435-87ed-3e410b360209",    "client_secret": "AQvsBHrjOYFNJdvndATLBPoavRZUp1fj4656",    "grant_type": "client_credentials"  }'
{
  "access_token": "eyJhbGciOiJIUz...",
  "expire_in": "3600",
  "token_type": "Bearer"
}

{
  "error": "invalid_request",
  "error_description": "The audience is a required parameter."
}

{
  "error": "invalid_client",
  "error_description": "The client_id is not valid, check your client_id again."
}

{
  "error": "unauthorized_client",
  "error_description": "The client_secret is not valid, check your client_secret again."
}